      SUBROUTINE readgournew7(maxyear,ntyp,coeff1,coeff2,
     * t_bias,nyearmin,nyearmax)
      parameter (icmax=10)
      character*80 text, filename
c      parameter (dstretch=3000)
      dimension t_bias(maxyear,ntyp)
      dimension coeff1(maxyear,ntyp)
      dimension coeff2(maxyear,ntyp)
      dimension icomma(icmax,2)

      call extraname('sys.inf'//CHAR(0),
     * 'gour_depth_temp_bias_t10.dat'//CHAR(0),
     * filename)
       open(9,file=filename,status='old')
c       open(10,file='./gour_res.dat')
c      read(9,*,end=44) depth,iyear,xmonth,thermal_bias
c    read in headers
c      read(9,'(a)') text
      nyearmin=maxyear
      nyearmax=0
      do 50 ny=1,maxyear
       call clearstring(text,80)
      read(9, '(a)', end=4) text
      call findlastchar(nsp,text,80)

      call commafindx(nsp,icmax,ncomma,icomma,text)
      if ( ncomma .lt. 2) goto 50
      read(text(icomma(1,1):icomma(1,1)+icomma(1,2)-1),*)
     * nyear
       if (nyear .lt. 1967) nyearmin=nyear
       if (nyear .gt. nyearmax) nyearmax=nyear
c      write(6,*) 'nyearmin,nyearmax,t10',nyearmin,nyearmax
      read(text(icomma(2,1):icomma(2,1)+icomma(2,2)-1),*)
     * coeff1(nyear,4)
      read(text(icomma(3,1):icomma(3,1)+icomma(3,2)-1),*)
     * coeff2(nyear,4)
      read(text(icomma(4,1):icomma(4,1)+icomma(4,2)-1),*)
     * t_bias(nyear,4)
c       write(6,*)'iyear', iyear,coeff1(iyear,4),
c     * coeff2(iyear,4), t_bias(iyear,4)
50    continue
4     continue
      close(9)
      return
      end
